DSTwo plus with B9S?

Discussion in '3DS - Flashcards & Custom Firmwares' started by fusobotic, May 25, 2017.

  1. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    So I've managed to get my Gateway red card working with B9S (big thanks to Temptress Cerise) but is there a way to use the same setup with the DSTwo plus? Every time I try to use the card in my current gateway setup it gets to the emunand but when I hit select it says "Counterfeit Gateway card detected!" etc etc and won't let me select a game.

    I know there's a guide but I don't want to format my emunand and screw everything up for an outdated A9LH guide that has a non-working launcher.dat file (as far as I could tell from testing): http://forum.supercard.sc/thread-12841-1-1.html

    Another strange quirk is that the DS end of the card doesn't work in my 11.2 emunand (just gives a black screen) but it does function fine in my 11.4 Luma/B9S sysnand.

    I'd love to get this working since the whole reason I got a DSTwo was to consolidate cards and not have to constantly switch, plus my Gateway blue card was flaking out if I didn't apply pressure to it to maintain the contacts in the back. Thanks for any help from other DSTwo users.

    Specs: Old 3DS XL with Luma 7.1 (B9S) sysnand and Gateway emunand running 11.2
     
    Last edited by fusobotic, May 25, 2017
  2. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,381
    1,624
    Feb 13, 2015
    Italy
    Imola
    Using a Gateway clone is just asking for a brick...

    (the non-3DS modes of the dstwo work perfectly fine)

    Emunand doesn't support DSiware titles, so it's not too shocking that physical cards don't work either :)

    ---

    Unless you care for the GW cheat engine, you're much better off dumping the gateway, keeping the dstwo as a DS card only, and just using free CFWs in sysnand
     
    Last edited by Ryccardo, May 25, 2017
  3. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    Isn't that pretty unlikely since it's running inside emunand though? Plus I have backups etc.
     
  4. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,381
    1,624
    Feb 13, 2015
    Italy
    Imola
    Gateway's CFW deliberately sets the password lock on the sysnand (unsupported by the 3DS's operating system and most others) if you feed it clones, else hardly anyone would be supporting the brickway memes :D
     
  5. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    Didn't that happen a few years ago though? Does the new launcher.dat still brick devices? I'm able to boot into the latest version of Gateway using the card btw, just not able to load any games :/
     
  6. nccom

    nccom GBAtemp Fan

    Member
    358
    110
    Feb 9, 2006
    Estonia
    Stop doing that right now, you WILL get bricked 3ds if you try to use dstwo with latest gw launcher.
    The only launcher that is safe to use is 3.4.1 but it doesn't support emunand higher than 10.1

    Use original gateway card if you want to use gateway mode.
    Thats normal, DS flashcards don't work in gateway emunand as it has various patches to the slot1 functionality and such.
     
    fusobotic likes this.
  7. Zidapi

    Zidapi GBAtemp Psycho!

    Member
    3,038
    1,821
    Dec 1, 2002
    Stop spreading bullshit.

    I've seen no reports of anyone being bricked since the original bricking scandal. It's just a block on ROM loading this time around.

    Gateway are barely relevant anymore, they have nothing to gain by bricking clone users at this stage.
     
  8. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    Thanks for the heads up! I'm going to try formatting the emunand and following the guide I linked earlier, just to see if it works launching with B9S or not (SCIENCE!).
     
  9. nccom

    nccom GBAtemp Fan

    Member
    358
    110
    Feb 9, 2006
    Estonia
    If you're blind then it's your problem. Check this forum, supercard forum, google "dstwo plus brick", etc.
     
  10. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    It no longer bricks. They took the brick code out in launcher version 3.6. Like the OP stated, all that happens now is that it blocks you off from loading ROMs and gives you a message saying, "counterfeit card detected!"
     
  11. nccom

    nccom GBAtemp Fan

    Member
    358
    110
    Feb 9, 2006
    Estonia
    Can you show any proof of that?
     
  12. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    Zidapi likes this.
  13. nccom

    nccom GBAtemp Fan

    Member
    358
    110
    Feb 9, 2006
    Estonia
    And...what? This doesn't show that the brick code is no longer there.
     
  14. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    The brick code has been replaced by this message :/

    I thought that was obvious. If OP isn't bricked and he's used it, and @json isn't bricked and he's used it, then the brick code no longer triggers, otherwise, you wouldn't see this message at all.
     
    Zidapi likes this.
  15. nccom

    nccom GBAtemp Fan

    Member
    358
    110
    Feb 9, 2006
    Estonia
    No it wasn't. Even old brick code activated randomly with a low chance of activation. This message was just added to completely lock clone cards but you can still be bricked with 3.6:
    https://gbatemp.net/threads/gateway-ultra-v3-6-public-beta.406650/page-17#post-5884093
    And presumably by 3.7 too:
    https://gbatemp.net/threads/3ds-unbricking-progress.361171/page-61#post-7211129 (Mar 31 2017, new key brick).

    There is absolutely no point in removing the brick code, it was added to combat clones and it'll stay in the launcher probably forever.
     
  16. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    I'm pretty sure I was using launcher 3.7.2 when that error popped up (exactly like the screenshots). Probably should have checked the forums first to be safe but I figured "it should act exactly like a gateway card right?"
    When I tried 3.4.1 provided by supercard the rom selector wouldn't even appear, though it booted.

    I tried to format emunand but that also got rid of some BS9 data that was needed to boot GW in the first place, so that's a no-go.
    I'm going to sit on it for a while. Hopefully, someone/supercard develops a modded 3.7.2 or just their own launcher (lol probs not).
    Are there any existing modded Launcher.dat's without GW garbage countermeasures that I could try out?
     
  17. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    444
    261
    Feb 1, 2015
    Russia
    Moscow city
    /_- there is an existing DSTWO launcher, and it's called "freegame". It's a ReiNAND clone that violates GPL. They probably didn't update it to work with 11.3+ though

    — Posts automatically merged - Please don't double post! —

    It can be launched through some ridiculous chain AFAIK (CtrBootManager + Luma Gateway chainloader payload)
     
  18. fusobotic
    OP

    fusobotic Member

    Newcomer
    13
    0
    May 25, 2017
    United States
    Yeah tried that launcher. Using the browser hax (does that method even work in 11.2?) it wouldn't even trigger and trying to launch it through homebrew channel just gave me a black screen. :/

    To load it through luma wouldn't I have to make a .bin or .firm or something like that based on the freegames.dat?
     
  19. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    444
    261
    Feb 1, 2015
    Russia
    Moscow city
    It has its own arm9loaderhax.bin that launches freegame.dat. Maybe converting it to .firm can help. Anyway, like Gateway payload, it can't be launched through Luma chainloader directly (I might be remembering wrong tho...) so you need the payload from the recent tutorial (and maybe even launch it through CtrBootManager9. What a mess). I own DS2+ and got it working a while ago (like, year ago). I'll try it later again
     
    fusobotic likes this.